.TH "mca_ptl_gm_module_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_gm_module_t \- GM PTL Interface.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl_gm.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_ptl_base_module_t\fP \fBsuper\fP"
.br
.RI "\fIbase PTL module interface \fP"
.ti -1c
.RI "gm_port * \fBgm_port\fP"
.br
.ti -1c
.RI "\fBmca_ptl_gm_addr_t\fP \fBlocal_addr\fP"
.br
.ti -1c
.RI "unsigned int \fBnum_send_tokens\fP"
.br
.ti -1c
.RI "unsigned int \fBnum_recv_tokens\fP"
.br
.ti -1c
.RI "unsigned int \fBmax_send_tokens\fP"
.br
.ti -1c
.RI "unsigned int \fBmax_recv_tokens\fP"
.br
.ti -1c
.RI "void * \fBgm_send_dma_memory\fP"
.br
.RI "\fIpointer to the send DMA registered memory attached to the PTL \fP"
.ti -1c
.RI "void * \fBgm_recv_dma_memory\fP"
.br
.RI "\fIpointer to the recv DMA registered memory attached to the PTL \fP"
.ti -1c
.RI "\fBmca_ptl_gm_send_frag_t\fP * \fBgm_send_fragments\fP"
.br
.ti -1c
.RI "mca_ptl_gm_recv_frag_t * \fBgm_recv_fragments\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBgm_send_frags\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBgm_send_dma_frags\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBgm_recv_frags_free\fP"
.br
.ti -1c
.RI "\fBopal_list_t\fP \fBgm_send_frags_queue\fP"
.br
.ti -1c
.RI "\fBopal_list_t\fP \fBgm_pending_acks\fP"
.br
.ti -1c
.RI "\fBopal_list_t\fP \fBgm_recv_outstanding_queue\fP"
.br
.ti -1c
.RI "opal_thread_t \fBthread\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
GM PTL Interface. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
